Bug 436823 - Xserver is always using evdev driver.
Xserver is always using evdev driver.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 13:38 EDT by Thomas Woerner
Modified: 2008-06-23 20:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2008-03-10 13:38:55 EDT
Description of problem:
The Xserver is using the evdev driver even if it is configured to use the kdb
driver. This leads into problems with the currently broken evdev driver.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.i386

How reproducible:
Always

Actual results:
evdev driver is used.

Expected results:
kdb driver is used.

Additional info:
Excerpt from the xorg config file:

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "de"
        Option      "XkbVariant" "nodeadkeys"
EndSection

Removing the evdev driver results the following errors and warnings in the
Xorg.0.log, but it is working as expected using the kdb driver:

(II) LoadModule: "evdev"

(WW) Warning, couldn't open module evdev
(II) UnloadModule: "evdev"
(EE) Failed to load module "evdev" (module does not exist, 0)
(EE) No input driver matching `evdev'
[config/hal] NewInputDeviceRequest failed
(II) LoadModule: "evdev"

(WW) Warning, couldn't open module evdev
(II) UnloadModule: "evdev"
(EE) Failed to load module "evdev" (module does not exist, 0)
(EE) No input driver matching `evdev'
[config/hal] NewInputDeviceRequest failed
(II) LoadModule: "evdev"

(WW) Warning, couldn't open module evdev
(II) UnloadModule: "evdev"
(EE) Failed to load module "evdev" (module does not exist, 0)
(EE) No input driver matching `evdev'
[config/hal] NewInputDeviceRequest failed
(II) LoadModule: "evdev"

(WW) Warning, couldn't open module evdev
(II) UnloadModule: "evdev"
(EE) Failed to load module "evdev" (module does not exist, 0)
(EE) No input driver matching `evdev'
[config/hal] NewInputDeviceRequest failed
Comment 1 Adam Jackson 2008-03-12 16:39:23 EDT
Fixed in new xserver 1.4.99.901-4 and hal-0.5.11-0.git20080304.4.fc9.  We'll
load your XKB settings from /etc/sysconfig/keyboard now, which should get the
layout correct.  You may need to also set XKB_VARIANT in that file to get the
"nodeadkeys" option.
Comment 2 Adam Jackson 2008-03-12 16:43:11 EDT
For the release note people:

/etc/sysconfig/keyboard's KEYTABLE setting sets the keyboard layout for X as
well now.  The XKB_VARIANT and XKB_OPTIONS variables can be used to set XKB
variant and option as well.
Comment 3 Sergio Monteiro Basto 2008-06-23 20:29:23 EDT
you need update 
/usr/share/doc/initscripts-8.76.2/sysconfig.txt

Note You need to log in before you can comment on or make changes to this bug.